catalog:
  title: Moos Ivp

templates:
- freestyle
- base

variables:
  description: AGNI ROS metapackage

  branches:
  - berta-mission

  extra-provides:
  - nature: freestyle
    target: moos-ivp
  platform-requires:
    precise:
      packages:
      - g++
      - subversion
      - cmake
      - xterm
      - libfltk1.3-dev
      - freeglut3-dev
      - libpng12-dev
      - libjpeg-dev
      - libxft-dev
      - libxinerama-dev
      - libtiff4-dev

  subversion.url: https://oceanai.mit.edu/svn/moos-ivp-aro/releases/moos-ivp-14.7.1
  subversion.revision: '6718'
  shell.command: |
    #!/bin/bash
    svn checkout ${subversion.url}@${subversion.revision} .;
    sh ./build-moos.sh;
    sh ./build-ivp.sh;
    mkdir -p ${toolkit.dir}/bin;
    cp bin/* ${toolkit.dir}/bin;
    mkdir -p ${toolkit.dir}/etc/moos-ivp;
    cp -r ivp ${toolkit.dir}/etc/moos-ivp;
